Berkeley DB version 4.6.21

## com.sleepycat.db
Class MultipleDataEntry

    java.lang.Object
      com.sleepycat.db.DatabaseEntry
          com.sleepycat.db.MultipleEntry
              com.sleepycat.db.MultipleDataEntry

    public class MultipleDataEntry

extends MultipleEntry

A DatabaseEntry that holds multiple data items returned by a single `Database` or `Cursor` get call.

Constructor Summary
`MultipleDataEntry()` Construct an entry with no data.
`MultipleDataEntry(byte[] data)` Construct an entry with a given byte array.
`MultipleDataEntry(byte[] data, int offset, int size)` Constructs a DatabaseEntry with a given byte array, offset and size.

Method Summary
`boolean` `next(DatabaseEntry data)` Get the next data element in the returned set.

Methods inherited from class com.sleepycat.db.MultipleEntry
`setUserBuffer`

Methods inherited from class com.sleepycat.db.DatabaseEntry
`equals, getData, getDataNIO, getOffset, getPartial, getPartialLength, getPartialOffset, getRecordNumber, getReuseBuffer, getSize, getUserBuffer, getUserBufferLength, hashCode, setData, setData, setDataNIO, setDataNIO, setOffset, setPartial, setPartial, setPartialLength, setPartialOffset, setRecordNumber, setReuseBuffer, setSize`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultipleDataEntry

    public MultipleDataEntry()

  Construct an entry with no data. The object must be configured before use with the `MultipleEntry.setUserBuffer` method.

### MultipleDataEntry

    public MultipleDataEntry(byte[] data)

  Construct an entry with a given byte array. The offset is set to zero; the size is set to the length of the array. If null is passed, the object must be configured before use with the `MultipleEntry.setUserBuffer` method.

  Parameters:
    `data` - Byte array wrapped by the entry.

### MultipleDataEntry

    public MultipleDataEntry(byte[] data,
                             int offset,
                             int size)

  Constructs a DatabaseEntry with a given byte array, offset and size.

  Parameters:
    `data` - Byte array wrapped by the DatabaseEntry.
    `offset` - Offset in the first byte in the byte array to be included.
    `size` - Number of bytes in the byte array to be included.

Method Detail

### next

    public boolean next(DatabaseEntry data)

  Get the next data element in the returned set. This method may only be called after a successful call to a `Database` or `Cursor` get method with this object as the data parameter.

  When used with the Queue and Recno access methods, `data.getData()`will return `null` for deleted records.``

  Parameters:
    `data` - an entry that is set to refer to the next data element in the returned set.

  Returns:
    indicates whether a value was found. A return of `false` indicates that the end of the set was reached.

Berkeley DB version 4.6.21

Copyright (c) 1996,2007 Oracle. All rights reserved.